{% extends "layouts/base-fullscreen.html" %}

{% block title %} Sign IN {% endblock %} 

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

    <main>

        {% include 'includes/preloader.html' %}

        <!-- Section -->
        <section class="min-vh-100 d-flex align-items-center section-image overlay-soft-dark" data-background="/static/assets/img/pages/form-image.jpg">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-12 d-flex align-items-center justify-content-center">
                        <div class="signin-inner my-4 my-lg-0 bg-white shadow-soft border rounded border-gray-300 p-4 p-lg-5 w-100 fmxw-500">
                            <div class="text-center text-md-center mb-4 mt-md-0">
                                <h1 class="mb-0 h3">
                                    <a href="https://appseed.us/product/pixel-bootstrap/flask/" target="_blank">GAMMA</a> - Login
                                </h1>
                                <br />
                                <span class="font-weight-normal">
                                    {% if msg %}
                                        {{ msg | safe }}
                                    {% else %}
                                        Add your credentials
                                    {% endif %}                                  
                                </span>
                            </div>
                            <form method="post" action="" class="mt-4">

                                {{ form.hidden_tag() }}

                                <!-- Form -->
                                <div class="form-group mb-4">
                                    <label for="email">Username</label>
                                    <div class="input-group">
                                        <span class="input-group-text" id="basic-addon1"><span class="fas fa-user"></span></span>
                                        {{ form.username(class="form-control") }}
                                    </div>  
                                </div>
                                <!-- End of Form -->
                                <div class="form-group">
                                    <!-- Form -->
                                    <div class="form-group mb-4">
                                        <label for="password">Password</label>
                                        <div class="input-group">
                                            <span class="input-group-text" id="basic-addon2"><span class="fas fa-unlock-alt"></span></span>
                                            {{ form.password(class="form-control", type="password") }}
                                        </div>  
                                    </div>
                                    <!-- End of Form -->
                                    <div class="d-flex justify-content-between align-items-center mb-4">
                                        <div class="form-check mb-0">
                                            <input class="form-check-input" type="checkbox" value="" id="remember">
                                            <label class="form-check-label mb-0" for="remember">
                                              Remember me
                                            </label>
                                        </div>
                                        <div><a href="{{ url_for('authentication_blueprint.register') }}" class="text-right">Register</a></div>
                                    </div>
                                </div>
                                <div class="d-grid">
                                    <button type="submit" name="login" class="btn btn-primary">Sign in</button>
                                </div>
                            </form>

                            <br />

                            <div class="d-flex justify-content-center align-items-center mt-4">
                                <span class="fw-normal">
                                    &copy; GAMMA - coded by M.Schweizer</a>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}
